admserialdel(1M)

NAME
admserialdel - deletes an existing serial service

SYNOPSIS

admserialdel [-x rhost=host] port...

DESCRIPTION
The Solstice admserialdel command deletes an existing serial port service.

AVAILABILITY

SUNWsadmb package.

OPTIONS

-x  Indicates that extended, nonstandard options follow.

    rhost=host
        Specifies the remote host. The rhost parameter can be used to perform the operation on the specified host. The machine specified as an argument to rhost must be running AdminSuite 2.1 or later for the command to complete successfully.

port...
    One or more port names. These are typically entries in the /dev/term directory (for example, a).

ENVIRONMENT

See environ(5) for descriptions of the following environment variables that affect the execution of admserialdel: LANG, LC_ALL, LC_CTYPE, and LC_MESSAGES.

ERRORS

The admserialdel command exits with one of the following values:

0   Success.

1   Invalid command syntax. A usage message for the admserialdel command is displayed.

2   An error occurred while executing the command. An exception code and error message are displayed.

RESTRICTIONS
You must be a member of UNIX group 14, the sysadmin group, to execute this command. Also, if the name service is NIS+, you must be a member of the NIS+ admin group (See nisgrpadm(1)). Interrupt signal handling is disabled while deleting the port to insure that the system is in a consistent state.

EXAMPLES
The following command disables serial port /dev/term/b on the remote host named remote_system. admserialdel -x rhost=remote_system b

FILES
/etc/saf/_sactab
/etc/saf/_sysconfig
/etc/saf/pmtag/_config
/etc/saf/pmtag/svctag
/var/saf/pmtag/*

SEE ALSO
admserialls(1M), admserialmod(1M)